1 1
anuj9122

java error

Recommended Posts

 A fatal error has been detected by the Java Runtime Environment:
#
#  SIGILL (0x4) at pc=0xb40aba7c, pid=320, tid=327
#
# JRE version: OpenJDK Runtime Environment (11.0.4+11) (build 11.0.4+11-post-Ubuntu-1ubuntu218.04.3)
# Java VM: OpenJDK Server VM (11.0.4+11-post-Ubuntu-1ubuntu218.04.3, mixed mode, serial gc, linux-)
# Problematic frame:
# J 28 c2 java.lang.StringUTF16.toLowerCase(Ljava/lang/String;[BLjava/util/Locale;)Ljava/lang/String; java.base@11.0.4 (296 bytes) @ 0xb40aba7c [0xb40ab880+0x000001fc]
#
# No core dump will be written. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# An error report file with more information is saved as:
# //hs_err_pid320.log
Could not load hsdis-arm.so; library not loadable; PrintAssembly is disabled
#
# If you would like to submit a bug report, please visit:
#   https://bugs.launchpad.net/ubuntu/+source/openjdk-lts
#
/var/lib/dpkg/info/ca-certificates-java.postinst: line 76:   318 Done                    find /etc/ssl/certs -name \*.pem
       319                       | while read filename; do
    alias=$(basename $filename .pem | tr A-Z a-z | tr -cs a-z0-9 _); alias=${alias%*_}; if [ -n "$FIXOLD" ]; then
        echo "-${alias}"; echo "-${alias}_pem";
    fi; echo "+${filename}";
done
       320 Aborted                 | java -Xmx64m -jar $JAR -storepass "$storepass"
dpkg: error processing package ca-certificates-java (--configure):
 installed ca-certificates-java package post-installation script subprocess returned error exit status 134
dpkg: dependency problems prevent configuration of openjdk-11-jre-headless:armhf:
 openjdk-11-jre-headless:armhf depends on ca-certificates-java; however:
  Package ca-certificates-java is not configured yet.

dpkg: error processing package openjdk-11-jre-headless:armhf (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of openjdk-11-jdk-headless:armhf:
 openjdk-11-jdk-headless:armhf depends on openjdk-11-jre-headless (= 11.0.4+11-1ubuntu2~18.04.3); however:
  Package openjdk-11-jre-headless:armhf is not configured yet.

dpkg: error processing package openjdk-11-jdk-headless:armhf (--configure):
 dependency problems - leaving unconfigured
Setting up libio-socket-ssl-perl (2.060-3~ubuntu18.04.1) ...
dpkg: dependency problems prevent configuration of openjdk-11-jdk:armhf:
 openjdk-11-jdk:armhf depends on openjdk-11-jdk-headless (= 11.0.4+11-1ubuntu2~18.04.3); however:
  Package openjdk-11-jdk-headless:armhf is not configured yet.

dpkg: error processing package openjdk-11-jdk:armhf (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of default-jdk:
 default-jdk depends on openjdk-11-jdk; however:
  Package openjdk-11-jdk:armhf is not configured yet.

dpkg: error processing package default-jdk (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of default-jdk-headless:
 default-jdk-headless depends on openjdk-11-jdk-headless; however:
  Package openjdk-11-jdk-headless:armhf is not configured yet.

dpkg: error processing package default-jdk-headless (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of openjdk-11-jre:armhf:
 openjdk-11-jre:armhf depends on openjdk-11-jre-headless (= 11.0.4+11-1ubuntu2~18.04.3); however:
  Package openjdk-11-jre-headless:armhf is not configured yet.

dpkg: error processing package openjdk-11-jre:armhf (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of default-jre:
 default-jre depends on openjdk-11-jre; however:
  Package openjdk-11-jre:armhf is not configured yet.

dpkg: error processing package default-jre (--configure):
 dependency problems - leaving unconfigured
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
Processing triggers for ca-certificates (20180409) ...
Updating certificates in /etc/ssl/certs...
0 added, 0 removed; done.
Running hooks in /etc/ca-certificates/update.d...

done.
done.
Errors were encountered while processing:
 ca-certificates-java
 openjdk-11-jre-headless:armhf
 openjdk-11-jdk-headless:armhf
 openjdk-11-jdk:armhf
 default-jdk
 default-jdk-headless
 openjdk-11-jre:armhf
 default-jre
E: Sub-process /usr/bin/dpkg returned an error code (1)
 

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
1 1